This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 812112

Summary: [abrt] kde-printer-applet-4.8.1-1.fc16: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.66" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the config
Product: [Fedora] Fedora Reporter: Vladimir <vulpe>
Component: kde-printer-appletAssignee: Ngo Than <than>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: jreznik, kevin, ltinkl, rdieter, rnovacek, than
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:ced7776a540a636be4bfc071bb4b1fcb19984d4a
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-12 15:08:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Vladimir 2012-04-12 14:52:43 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/bin/printer-applet
comment:        after I rebooted the machine
executable:     /usr/bin/printer-applet
kernel:         3.3.0-4.fc16.x86_64
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.66" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
time:           Thu 12 Apr 2012 02:37:36 PM EDT
uid:            1000
username:       vladimir

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.66" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
:
:Traceback (most recent call last):
:  File "/usr/bin/printer-applet", line 1163, in <module>
:    applet = JobManager()
:  File "/usr/bin/printer-applet", line 300, in __init__
:    notification = NewPrinterNotification(bus, self)
:  File "/usr/bin/printer-applet", line 1052, in __init__
:    bus_name = dbus.service.BusName (PDS_OBJ, bus=bus)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 129, in __new__
:    retval = bus.request_name(name, name_flags)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 306, in request_name
:    'su', (name, flags))
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.66" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SystemBus (system) at 0x16f06b0>
:args: ('com.redhat.NewPrinterNotification', 0)
:utf8_strings: False
:bus_name: 'org.freedesktop.DBus'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/org/freedesktop/DBus'
:timeout: -1.0
:signature: 'su'
:dbus_interface: 'org.freedesktop.DBus'
:message: <dbus.lowlevel.MethodCallMessage object at 0x188f600>
:method: 'RequestName'

smolt_data:
:
:
:General
:=================================
:UUID: 5b34089a-4074-44d5-bd9e-6a5caae05a0f
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4822.12
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 X2 Dual Core Processor 4600+
:CPU Stepping: 2
:CPU Family: 15
:CPU Model Num: 75
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 3954
:System Swap: 6015
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:880:4318:52100) pci, None, PCI/PCI, MCP55 PCI bridge
:(4318:881:4163:33270) pci, snd_hda_intel, MULTIMEDIA, MCP55 High Definition Audio
:(4318:886:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:873:4163:33337) pci, None, RAM, MCP55 Memory Controller
:(4318:874:4163:33337) pci, None, RAM, MCP55 Memory Controller
:(4318:872:4163:33337) pci, nForce2_smbus, SERIAL, MCP55 SMBus
:(4318:864:4163:33337) pci, None, PCI/ISA, MCP55 LPC Bridge
:(4332:33129:4332:33129) pci, r8169, ETHERNET, RTL8169/8110 Family PCI Gigabit Ethernet NIC
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:658:14402:50722) pci, nouveau, VIDEO, G71 [GeForce 7900 GS]
:(4318:876:4163:33337) pci, ohci_hcd, USB, MCP55 USB Controller
:(4318:877:4163:33337) pci, ehci_hcd, USB, MCP55 USB Controller
:(4318:888:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4332:33081:4332:33081) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4318:885:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:887:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:878:4163:33337) pci, pata_amd, STORAGE, MCP55 IDE
:(4318:884:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:(4318:895:4163:33337) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:4163:33337) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:895:4163:33337) pci, sata_nv, STORAGE, MCP55 SATA Controller
:(4318:884:4318:0) pci, pcieport, PCI/PCI, MCP55 PCI Express bridge
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb1 / ext4 4096 4096 25561025 21755935 20475935 6406144 6025971 6025971
:/dev/sdb2 /home ext4 4096 4096 94851290 93389446 88641632 23740416 23739686 23739686
:/dev/sda2 /boot ext4 1024 1024 508745 410075 384475 128016 127787 127787
:/dev/sda3 WITHHELD ext4 4096 4096 19850606 19524143 18530031 4972544 4972533 4972533
:
Comment 1 Kevin Kofler 2012-04-12 15:08:56 EDT

*** This bug has been marked as a duplicate of bug 711719 ***